Last Comment Bug 335525 - UI dependencies not working for index() changes
: UI dependencies not working for index() changes
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
:
Mentors:
http://www.w3.org/TR/xforms/
Depends on: 335524
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 07:57 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Testcase (1.88 KB, application/xhtml+xml)
2006-04-26 07:58 PDT, Allan Beaufour
no flags Details
Patch (4.01 KB, patch)
2006-05-22 08:58 PDT, Allan Beaufour
bugs: review+
doronr: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2006-04-26 07:57:24 PDT
Refreshing controls on index changes are handled by the repeat itself, and I missed that in the UI dependency patch.
Comment 1 Allan Beaufour 2006-04-26 07:58:02 PDT
That controls are not bound on form load is bug 335524.
Comment 2 Allan Beaufour 2006-04-26 07:58:36 PDT
Created attachment 219877 [details]
Testcase
Comment 3 Allan Beaufour 2006-04-27 03:17:08 PDT
(In reply to comment #0)
> Refreshing controls on index changes are handled by the repeat itself, and I
> missed that in the UI dependency patch.

The problem also appears when binding attributes are changed by script. The control refreshes itself, but it needs to refresh children too. I think we need a nsIModelElementPrivate::RebindControl(nsIXFormsControl) that runs the rebind/refresh procedure correctly for that control, and any children too.
Comment 4 Allan Beaufour 2006-05-22 08:58:49 PDT
Created attachment 222873 [details] [diff] [review]
Patch

Tie repeat index() handling to the model UI graph, to let that handle rebinding and refreshing of controls -- properly.
Comment 5 Allan Beaufour 2006-05-24 00:29:58 PDT
Fixed on trunk

Note You need to log in before you can comment on or make changes to this bug.